Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Interface JRMeasuredText

All Known Implementing Classes:
  TextMeasurer.TextMeasuredState

    public interface JRMeasuredText

Text measuring information as produced by a `text measurer`.

Version:
  $Id: JRMeasuredText.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JRTextMeasurer.measure(net.sf.jasperreports.engine.util.JRStyledText, int, int, boolean)`

Method Summary
`float` | `getLeadingOffset()` Returns the text leading offset.
`short[]` | `getLineBreakOffsets()` Returns the line break offsets as required for `JRPrintText.getLineBreakOffsets()`.
`float` | `getLineSpacingFactor()` Return the line spacing factor for the text.
`float` | `getTextHeight()` Returns the text's measure height.
`int` | `getTextOffset()` Returns the offset up to which text fitted.
`java.lang.String` | `getTextSuffix()` Returns the suffix that was appended to the text (after `getTextOffset()`).
`boolean` | `isLeftToRight()` Returns whether the text was determined to be left to right or not.

Method Detail

### getLeadingOffset

    float getLeadingOffset()

  Returns the text leading offset.

  Returns:
    the text leading offset

### getLineSpacingFactor

    float getLineSpacingFactor()

  Return the line spacing factor for the text.

  Returns:
    the line spacing factor

### getTextHeight

    float getTextHeight()

  Returns the text's measure height.

  Returns:
    the text's measure height

### getTextOffset

    int getTextOffset()

  Returns the offset up to which text fitted.

  Returns:
    the offset up to which text fitted

### isLeftToRight

    boolean isLeftToRight()

  Returns whether the text was determined to be left to right or not.

  Returns:
    whether the text was determined to be left to right

### getTextSuffix

    java.lang.String getTextSuffix()

  Returns the suffix that was appended to the text (after `getTextOffset()`).

  Returns:
    the suffix that was appended to the text

### getLineBreakOffsets

    short[] getLineBreakOffsets()

  Returns the line break offsets as required for `JRPrintText.getLineBreakOffsets()`.

  Returns:
    the line break offsets for the measured text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com